/* $VER: ScanImage.rexx 1.1 for PicView V2.x  by Jochen Grus (04.09.96) */

OPTIONS RESULTS
ADDRESS "PICVIEW.1"
options failat 25     /* ScanToDisk returns 0 or 20 */

ram:ScanImage

ok=1
call SCAN()           /* Scans the image into a temporary file */
call IMPORTGRAPHIC()  /* Loads Image into PicView V2.x */
call DELETEFILE()     /* Removes temporary image file */

EXIT



SCAN:
/* Scans the image into a temporary file using the program "ScanToDisk". */
  if not 1=open('path','ENV:ScanQuix/Path','READ') then do
    ok=0
    return
  end

  pragma('DIRECTORY',READLN('path'))
  address command 'ScanQuix3/ScanToDisk FILE=ram:ScanImage TRUECOLOR NOICONS NOGUI PUBSCREEN=MyOne'
  if RC>=5 then do
    ok=0
    return
  end

return



IMPORTGRAPHIC:
/* Loads the image into PicView V2.x */
  if ok=0 then
    return

  addpic "ram:ScanImage"
return

DELETEFILE:

ADDRESS "PICVIEW.1"

SELECTLIST

GETENTRIES ALL
num = result
DO WHILE num ~= -2

  SHOWPIC num TIMEOUT 15
  END
  ELSE num = -1

END

/* Show all selected files */



/*  Jochen Grus 1996  */


return

