/* $VER: ScanImage.rexx 1.0 (18.06.96) */

OPTIONS RESULTS

ADDRESS 'PAGESTREAM'

options failat 25     /* ScanToDisk returns 0 or 20 */


tempfile='T:PGS_ScannnedImage'

ok=1
call SCAN()           /* Scans the image into a temporary file */
call IMPORTGRAPHIC()  /* Loads Image into Pagestream */
call DELETEFILE()     /* Removes temporary image file */

EXIT



SCAN:
/* Scans the image into a temporary file using the program "ScanToDisk". */
  if not 1=open('path','ENV:ScanQuix/Path','READ') then do
    ok=0
    return
  end

  pragma('DIRECTORY',READLN('path'))
  address command 'ScanQuix3/ScanToDisk FILE="'tempfile'" TRUECOLOR NOICONS NOGUI PUBSCREEN=PageStream3'
  if RC>=5 then do
    ok=0
    return
  end

return



IMPORTGRAPHIC:
/* Loads the image into Pagestream */
  if ok=0 then
    return

  'placegraphic FILE 'tempfile' FILTER IFFILBM'

return



DELETEFILE:
/* removes temporary file */
  address command 'delete >NIL: 'tempfile

return
